GEGELATI

Loading...
Searching...
No Matches
Public Attributes | List of all members
ArchiveRecording Struct Reference

Class used to store one recording of an Archive. More...

`#include <archive.h>`

## Public Attributes
const Program::Program *const | prog
| Pointer to the Program. This pointer may point to a freed program.
const size_t | dataHash
| Hash of the set of DataHandler for this recording.
const double | result

## Detailed Description

Class used to store one recording of an Archive.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2021) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2020) Thomas Bourgoin tbour.nosp@m.goi@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2021)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

A recording in the archive is a tuple consisting of:

- A Program pointer (that may not exist anymore)
- A set of DataHandler copies with all their data.
- A double resulting from the execution of the Program on the DataHandler.

## Member Data Documentation

## ◆ result

const double ArchiveRecording::result

Value returned by the Program for the DataHandler with the specified hash.

The documentation for this struct was generated from the following file:

- D:/a/gegelati/gegelati/gegelatilib/include/archive.h